summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-backup/luckybackup/luckybackup-0.4.7-r1.ebuild')
-rw-r--r--app-backup/luckybackup/luckybackup-0.4.7-r1.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/app-backup/luckybackup/luckybackup-0.4.7-r1.ebuild b/app-backup/luckybackup/luckybackup-0.4.7-r1.ebuild
new file mode 100644
index 000000000000..bdd807860bb5
--- /dev/null
+++ b/app-backup/luckybackup/luckybackup-0.4.7-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit qt4-r2
+
+DESCRIPTION="Powerful and flexible backup (and syncing) tool, using RSync and Qt4"
+HOMEPAGE="http://luckybackup.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="debug"
+
+DEPEND="dev-qt/qtcore:4
+ dev-qt/qtgui:4"
+RDEPEND="${DEPEND}
+ net-misc/rsync"
+
+DOCS="readme/*"
+
+src_prepare() {
+ sed -i \
+ -e "s:/usr/share/doc/${PN}:/usr/share/doc/${PF}:g" \
+ -e "s:/usr/share/doc/packages/${PN}:/usr/share/doc/${PF}:g" \
+ luckybackup.pro src/global.h || die "sed failed"
+
+ # The su-to-root command is an ubuntu-specific script so it will
+ # not work with Gentoo. No reason to have it anyway.
+ sed -i -e "/^Exec/s:=.*:=/usr/bin/${PN}:" menu/${PN}-gnome-su.desktop \
+ || die "failed to remove su-to-root"
+
+ # causes empty directory to be installed
+ sed -i -e '/^INSTALLS/s/debianmenu //' luckybackup.pro \
+ || die "sed installs failed"
+
+ # remove text version - cannot remote HTML version
+ # as it's used within the application
+ rm license/gpl.txt || die "rm failed"
+}